#!/usr/bin/ruby

$LOAD_PATH << File.expand_path(File.dirname(__FILE__))
require 'amarok_melon'

@app_name = "Covers_Melon"

lastURL = nil

loop do
  status = `dcop amarok player status`.chomp.to_i
  if status == 2 then
    encodedURL = `dcop amarok player encodedURL`
    if encodedURL != lastURL && !AmarokMelon.hasCover? then
      lastURL = encodedURL
      path = `dcop amarok player path`.slice(/.*\//)
      return if path == nil
      path += `dcop amarok player album`.chomp + ".jpg"
      AmarokMelon.translate!(path)
      query = `dcop amarok player artist`.chomp + " " + `dcop amarok player album`.chomp
      coverUrl = AmarokMelon.getCoverUrl(query)
      `wget -O '#{path}' '#{coverUrl}'` if coverUrl != nil
      `dcop amarok collection scanCollectionChanges`
    end
  end
  sleep 5
end
